ngfd-plugin: /build/ngfd/src/ngfd-1.4.1/src/include/ngf/sinkinterface.h File Reference

ngfd-plugin

Classes | Macros | Typedefs | Functions
sinkinterface.h File Reference
`#include <ngf/request.h>`
`#include <ngf/core.h>`

Go to the source code of this file.

## Classes
struct | _NSinkInterfaceDecl
| Interface declaration structure. More...

## Macros
#define | N_SINK_INTERFACE_TYPE_AUDIO "audio"
#define | N_SINK_INTERFACE_TYPE_VIBRATOR "vibra"
#define | N_SINK_INTERFACE_TYPE_LEDS "leds"

## Typedefs
typedef struct _NSinkInterface | NSinkInterface
| Internal sinkinterface structure.
typedef struct _NSinkInterfaceDecl | NSinkInterfaceDecl
| Interface declaration structure.

## Functions
void | n_sink_interface_set_userdata (NSinkInterface *iface, void *userdata)
| Stores userdata for the sink interface.
void * | n_sink_interface_get_userdata (NSinkInterface *iface)
| Returns userdata stored to the sink interface.
NCore * | n_sink_interface_get_core (NSinkInterface *iface)
| Get core to which interface is associated to.
const char * | n_sink_interface_get_name (NSinkInterface *iface)
| Get interface name.
const char * | n_sink_interface_get_type (NSinkInterface *iface)
| Get interface type.
void | n_sink_interface_set_resync_on_master (NSinkInterface *iface, NRequest *request)
| Report that sink will resync to other sinks resynchronize requests.
void | n_sink_interface_resynchronize (NSinkInterface *iface, NRequest *request)
| Request resynchronization of other sinks.
void | n_sink_interface_synchronize (NSinkInterface *iface, NRequest *request)
| Report sink is synchronized and ready to start the playback.
void | n_sink_interface_complete (NSinkInterface *iface, NRequest *request)
| Report sink has completed playback of request.
void | n_sink_interface_fail (NSinkInterface *iface, NRequest *request)
| Report sink has failed the request.

## Macro Definition Documentation

## ◆ N_SINK_INTERFACE_TYPE_AUDIO

#define N_SINK_INTERFACE_TYPE_AUDIO "audio"

## ◆ N_SINK_INTERFACE_TYPE_LEDS

#define N_SINK_INTERFACE_TYPE_LEDS "leds"

## ◆ N_SINK_INTERFACE_TYPE_VIBRATOR

#define N_SINK_INTERFACE_TYPE_VIBRATOR "vibra"

## Typedef Documentation

## ◆ NSinkInterface

typedef struct _NSinkInterface NSinkInterface

Internal sinkinterface structure.

## ◆ NSinkInterfaceDecl

typedef struct _NSinkInterfaceDecl NSinkInterfaceDecl

Interface declaration structure.

## Function Documentation

## ◆ n_sink_interface_complete()

void n_sink_interface_complete | ( | NSinkInterface * | iface,
|  | NRequest * | request )

Report sink has completed playback of request.

Parameters

  iface | NSinkInterface structure
  request | Request

## ◆ n_sink_interface_fail()

void n_sink_interface_fail | ( | NSinkInterface * | iface,
|  | NRequest * | request )

Report sink has failed the request.

Parameters

  iface | NSinkInterface structure
  request | Request

## ◆ n_sink_interface_get_core()

NCore * n_sink_interface_get_core | ( | NSinkInterface * | iface | ) |

Get core to which interface is associated to.

Parameters

  iface | NSinkInterface structure

Returns
  NCore structure

## ◆ n_sink_interface_get_name()

const char * n_sink_interface_get_name | ( | NSinkInterface * | iface | ) |

Get interface name.

Parameters

  iface | NSinkInterface structure

Returns
  Name of the interface

## ◆ n_sink_interface_get_type()

const char * n_sink_interface_get_type | ( | NSinkInterface * | iface | ) |

Get interface type.

Parameters

  iface | NSinkInterface structure

Returns
  Type of the interface

## ◆ n_sink_interface_get_userdata()

void * n_sink_interface_get_userdata | ( | NSinkInterface * | iface | ) |

Returns userdata stored to the sink interface.

Parameters

  iface | NSinkInterface structure

Returns
  Userdata for the interface

## ◆ n_sink_interface_resynchronize()

void n_sink_interface_resynchronize | ( | NSinkInterface * | iface,
|  | NRequest * | request )

Request resynchronization of other sinks.

Ie. Event playback will restart.

Parameters

  iface | NSinkInterface structure
  request | Request

## ◆ n_sink_interface_set_resync_on_master()

void n_sink_interface_set_resync_on_master | ( | NSinkInterface * | iface,
|  | NRequest * | request )

Report that sink will resync to other sinks resynchronize requests.

Parameters

  iface | NSinkInterface structure
  request | Request

## ◆ n_sink_interface_set_userdata()

void n_sink_interface_set_userdata | ( | NSinkInterface * | iface,
|  | void * | userdata )

Stores userdata for the sink interface.

Parameters

  iface | NSinkInterface structure
  userdata | Interface userdata to store

## ◆ n_sink_interface_synchronize()

void n_sink_interface_synchronize | ( | NSinkInterface * | iface,
|  | NRequest * | request )

Report sink is synchronized and ready to start the playback.

Parameters

  iface | NSinkInterface structure
  request | Request